Subject: Re: bug#34618: 26.1.92; timerfd interface causes slowdown on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 9 Mar 2019 19:27:34 +0000

On 2/22/2019 11:12 AM, Eli Zaretskii wrote:
>> From: Ken Brown <[email-masked]>
>> Date: Fri, 22 Feb 2019 15:08:33 +0000
>>
>> Starting with cygwin-3.0.0, Cygwin has the timerfd functions.  But using
>> them causes Emacs to be very slow to respond to user input.  If I press
>> a key, there is a 1-2 second delay before Emacs responds.  I'm in the
>> process of trying to debug this
>> (http://www.cygwin.org/ml/cygwin/2019-02/msg00364.html).  In the
>> meantime, the attached patch disables the use of these functions.
>>
>> OK for the emacs-26 branch (after filling in the bug number)?
> 
> Yes, thanks.

The Cygwin problems with the timerfd functions have been fixed as of 
cygwin-3.0.2, so I've re-enabled the use of these functions on the master 
branch.  To play it safe, we should probably leave them disabled on the emacs-26 
branch.

Ken